/*
 * RigidLine2D.java
 *
 * Created on October 17, 2004, 9:28 AM
 */

package JSci.physics;

/**
 *
 * @author  arturo
 */
public class DrawableRigidLine2D extends DrawableRigidBody2D {
    private java.awt.geom.Line2D l2D = new java.awt.geom.Line2D.Double(50,50,150,150);
    //private java.awt.geom.Line2D l2Dold = new java.awt.geom.Line2D.Double(50,50,150,150);

    public double l;
    //public RigidLine2D() {
    //    
    //}
    
    public java.awt.Shape getShape() {
        /*
         l2D.setLine( this.x - l*Math.cos(this.ang)/2,
                     this.y - l*Math.sin(this.ang)/2, 
                     this.x + l*Math.cos(this.ang)/2,
                     this.y + l*Math.sin(this.ang)/2 );
         */
        return this.l2D;
        
    } 
    
    
    public ClassicalParticle2D move(double dt) {
        
        //af.translate( this.vx*dt,this.vy*dt);
        //af.rotate( this.angVel*dt,this.x,this.y);
        super.move(dt);
        //super.move(dt);
        /*l2D.setLine( this.x - l*Math.cos(this.ang)/2,
                     this.y - l*Math.sin(this.ang)/2, 
                     this.x + l*Math.cos(this.ang)/2,
                     this.y + l*Math.sin(this.ang)/2 );*/
        return this;
    }
    public void draw(java.awt.Graphics2D big) {
        
    }
    //public void Draw( )
    //private 
    
}
